Package org.springframework.security.web.server.ui

# Class OneTimeTokenSubmitPageGeneratingWebFilter

java.lang.Object
org.springframework.security.web.server.ui.OneTimeTokenSubmitPageGeneratingWebFilter

All Implemented Interfaces:
  `org.springframework.web.server.WebFilter`

public final class OneTimeTokenSubmitPageGeneratingWebFilter extends Object implements org.springframework.web.server.WebFilter
Creates a default one-time token submit page. If the request contains a `token` query param the page will automatically fill the form with the token value.

Since:
  6.4

## Constructor Summary

Constructors
Constructor
Description
`OneTimeTokenSubmitPageGeneratingWebFilter()`

## Method Summary

Modifier and Type
Method
Description
`reactor.core.publisher.Mono<Void>`
`filter(org.springframework.web.server.ServerWebExchange exchange, org.springframework.web.server.WebFilterChain chain)`
`void`
`setLoginProcessingUrl(String loginProcessingUrl)`
Specifies the URL that the submit form should POST to.
`void`
`setRequestMatcher(ServerWebExchangeMatcher requestMatcher)`
Use this `ServerWebExchangeMatcher` to choose whether this filter will handle the request.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### OneTimeTokenSubmitPageGeneratingWebFilter

public OneTimeTokenSubmitPageGeneratingWebFilter()

## Method Details

### filter

public reactor.core.publisher.Mono<Void> filter(org.springframework.web.server.ServerWebExchange exchange, org.springframework.web.server.WebFilterChain chain)

Specified by:
  `filter` in interface `org.springframework.web.server.WebFilter`

### setRequestMatcher

public void setRequestMatcher(ServerWebExchangeMatcher requestMatcher)
Use this `ServerWebExchangeMatcher` to choose whether this filter will handle the request. By default, it handles `/login/ott`.

Parameters:
  `requestMatcher` - `ServerWebExchangeMatcher` to use

### setLoginProcessingUrl

public void setLoginProcessingUrl(String loginProcessingUrl)
Specifies the URL that the submit form should POST to. Defaults to `/login/ott`.

Parameters:
  `loginProcessingUrl` -